"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthenticatedOctokit = void 0;
async function getAuthenticatedOctokit(state, installationId) {
    const { githubToken, log, Octokit, octokit, throttleOptions } = state;
    if (!installationId)
        return octokit;
    const constructorAuthOptions = githubToken
        ? {}
        : { auth: { installationId: installationId } };
    const constructorThrottleOptions = throttleOptions
        ? {
            throttle: {
                id: installationId,
                ...throttleOptions,
            },
        }
        : {};
    const options = {
        log: log.child({ name: "github" }),
        ...constructorAuthOptions,
        ...constructorThrottleOptions,
    };
    return new Octokit(options);
}
exports.getAuthenticatedOctokit = getAuthenticatedOctokit;
//# sourceMappingURL=get-authenticated-octokit.js.map