"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThrottleOptions = void 0;
const bottleneck_1 = __importDefault(require("bottleneck"));
const ioredis_1 = __importDefault(require("ioredis"));
function getThrottleOptions(options) {
    if (options.throttleOptions) {
        return options.throttleOptions;
    }
    if (options.redisConfig || process.env.REDIS_URL) {
        const connection = new bottleneck_1.default.IORedisConnection({
            client: getRedisClient(options.redisConfig),
        });
        connection.on("error", options.log.error);
        return {
            Bottleneck: bottleneck_1.default,
            connection,
        };
    }
}
exports.getThrottleOptions = getThrottleOptions;
function getRedisClient(redisConfig) {
    if (redisConfig) {
        return new ioredis_1.default(redisConfig);
    }
    if (process.env.REDIS_URL) {
        return new ioredis_1.default(process.env.REDIS_URL);
    }
}
//# sourceMappingURL=get-throttle-options.js.map