"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.webhookTransform = void 0;
const get_authenticated_octokit_for_event_1 = require("./get-authenticated-octokit-for-event");
const context_1 = require("./context");
async function webhookTransform(state, event) {
    const log = state.log.child({ name: "event", id: event.id });
    try {
        const github = await get_authenticated_octokit_for_event_1.getAuthenticatedOctokitForEvent(state, event);
        return new context_1.Context(event, github, log);
    }
    catch (err) {
        // avoid the error.code deprecation message
        // can be replaced with `log.error({ err, event, ...err })` once @octokit/request-error v3 is used
        const { name, message, stack, headers, request, status } = err;
        state.log.error({
            err: {
                name,
                message,
                stack,
            },
            event,
            headers,
            request,
            status,
        });
        throw err;
    }
}
exports.webhookTransform = webhookTransform;
//# sourceMappingURL=webhook-transform.js.map